Use a different repo for the new version of the Breeze widget style and come up with a name for it
Closed, WontfixPublic

Description

I think it would be best to leave the current look of Breeze alone and use a different repo for the new version of Breeze. We also need to come up with a name for the repo. We will have to decide whether or not to use a completely different name.

ndavis created this task.Jan 3 2020, 11:47 PM
ndavis triaged this task as Normal priority.
cblack added a subscriber: cblack.Jan 3 2020, 11:50 PM

Are you going to open a sysadmin ticket about this?

ndavis added a comment.Jan 4 2020, 2:35 AM

Are you going to open a sysadmin ticket about this?

Later, but for now, I'm just posting it here to inform others of my opinion and so people can argue for/against it.

ngraham added a subscriber: ngraham.Jan 4 2020, 2:58 AM

I think it's a good idea.

The downside of course is that it could take years to roll out the new theme if we make it a separate fork/codebase. If we do go that route, I'd like to try for an aggressive timetable and not get stuck in analysis paralysis and shooting for absolute perfection.

ndavis added a comment.Jan 4 2020, 3:57 AM

The downside of course is that it could take years to roll out the new theme if we make it a separate fork/codebase. If we do go that route, I'd like to try for an aggressive timetable and not get stuck in analysis paralysis and shooting for absolute perfection.

One way I think we could deal with that is to get people to start using it early. It doesn't need to be included with Plasma, but we can promote it.

Good idea. It's unfortunate that widget styles aren't distributable via GHNS, but we could encourage the rolling release distros to package it.

ndavis added a comment.Jan 6 2020, 2:55 AM

What should we call the new version of Breeze so we can use it as the repo name? I thought about Breeze 2 or Breeze 6, but those seem like they might cause confusion for users, especially if distros continue to package the old version of Breeze along side the new version.

ndavis added a comment.Jan 6 2020, 2:55 AM

We could also come up with a completely different name.

The evolution of Breeze could be a Gale and a storm after that.

ndavis added a comment.Jan 6 2020, 1:20 PM

I'd like to avoid association with anything violent or negative.

A name from natural science like to Oxygen is appealing to me. Elements used for gas-discharge lamps seem kind of overused and a bit uninspired though.

I think it should have a new name, definitely. Of course naming things is hard!

Here are some ideas:

  • Zephyr
  • Gravity
  • Kinetic
  • Dynamo
  • Equilibrium
  • Serenity
  • Harmony
cblack added a comment.EditedJan 6 2020, 4:08 PM

Zephyr is already used by a lot of themes, so I wouldn't use it for sake of googleability.

ndavis added a comment.Jan 6 2020, 4:39 PM

Zephyr is super appropriate—a breeze from the west—but the name reminds me of generic military FPS games for some reason. Also what @cblack said.

I like gravity, just because it sounds powerful and it's a surprisingly uncommon name. I just hope it doesn't sound too grave.

Kinetic could be appropriate if we do some work on the animations for the new theme.

According to Wikipedia, dynamos are obsolete. I don't think I'd want the new theme to associate with something obsolete.

Equilibrium could represent our desire to make the new theme less flat.

Serenity isn't that bad, but it sounds like something you'd read in the caption of an Instagram post and it doesn't sound very unique or inspired.

Harmony seems pretty safe, but it also doesn't sound very unique or inspired.

hein added a subscriber: hein.Jan 6 2020, 5:26 PM

"Blast"

hein added a comment.Jan 6 2020, 6:01 PM

The VDG channel somehow ended up liking "Yoto" a lot!

KonqiDragon added a subscriber: KonqiDragon.EditedJan 7 2020, 8:42 AM

I think it should be something like a Material Design or Microsoft Fluent Design, the completely new KDE Design*.

KDE Design* would have comprises a recognizable and unique style, so that KDE Style not confused with Windows or macOS.

How about the icons? With new name we could to evolve a Breeze icons.

I mean, look on Gnome HIG everything is much better than on KDE HIG, i dream about an ideal KDE design like on Gnome or new Deepin V20.

ndavis renamed this task from Use a different repo for the new version of Breeze to Use a different repo for the new version of the Breeze widget style.Jan 7 2020, 9:56 AM

This is specifically about a new repo for the new version of the Breeze QStyle and maybe the KDecoration too, which are currently in the breeze repo.

How about the icons? With new name we could to evolve a Breeze icons.

That's a good point. If we rename the widget theme, would we also rename the icon theme, plasma theme, etc?

KonqiDragon added a comment.EditedJan 8 2020, 1:45 PM

How about the icons? With new name we could to evolve a Breeze icons.

That's a good point. If we rename the widget theme, would we also rename the icon theme, plasma theme, etc?

I very like how looks a Breeze Round Corners icons, i think we should go in that way with new KDE icons, because default Breeze icons looks "spiky", people instinctively likes a rounded shapes or corners than something spiky, because spiky is danger.

ndavis added a comment.Jan 8 2020, 2:01 PM

I don't think we should change the icon style to be more rounded. I don't think it would be worth the time and effort required. I also don't like the Breeze Round Corners theme. You can't just round the corners and call it a finished job. Many of those objects depicted have ruined proportions and jagged edges from being clipped.

I think discussions about style are off topic here as well. If you want to talk about changing specific things about the style, T10891 is the place to post ideas.

ndavis renamed this task from Use a different repo for the new version of the Breeze widget style to Use a different repo for the new version of the Breeze widget style and come up with a name for it.Jan 8 2020, 2:08 PM
ndavis updated the task description. (Show Details)

Getting back to the topic of naming: I just did a real quick search for "zephyr" or "zephyr style" and could not really find anything obviously style related. Therefore I would suggest to use Zephyr as the new style name.

These are the 2 Zephyr styles I found. They're not very popular and haven't been updated since 2015. I guess it wouldn't hurt to use Zephyr.
https://store.kde.org/p/1005426/
https://store.kde.org/p/1005427/

Apparently there's a project by the Linux Foundation: https://www.zephyrproject.org/

I've also thought about Neo Breeze or Breeze Neue

GB_2 added a subscriber: GB_2.Jan 11 2020, 5:43 PM

Maybe simply "Breeze Evolution"?

Here's another idea: we rename the existing Breeze theme to "Breeze Legacy" and put it in a different repo, and then we feel free to change Breeze as we see fit.

ngraham closed this task as Wontfix.Feb 20 2020, 5:32 PM

After further discussion, it looks like we're not going to be doing this. Instead we'll continue to make incremental improvements to Breeze itself, as originally planned.